<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: LASi.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_ced8ec04faf1f39c38b8acccde1582aa.html">include</a></div>
<h1>LASi.h File Reference</h1>Defines oPostscriptStream and PostscriptDocument and various stream manipulators. <a href="#_details">More...</a>
<p>
<code>#include &lt;string&gt;</code><br>
<code>#include &lt;ostream&gt;</code><br>
<code>#include &lt;sstream&gt;</code><br>
<code>#include &lt;map&gt;</code><br>
<code>#include &lt;pango/pango.h&gt;</code><br>
<code>#include &lt;freetype/ftglyph.h&gt;</code><br>

<p>
<a href="LASi_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceLASi.html">LASi</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1oPostscriptStream.html">LASi::oPostscriptStream</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Just like any ordinary ostringstream, but maintains a reference to the <a class="el" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>.  <a href="classLASi_1_1oPostscriptStream.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Composes Postscript document as three separate and independant streams for header, body and footer.  <a href="classLASi_1_1PostscriptDocument.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">LASi::PostscriptDocument::GlyphId</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">For internal use only.  <a href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html">LASi::PostscriptDocument::write_glyph_routine_to_stream</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">For internal use only.  <a href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFont.html">LASi::setFont</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">stream manipulator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>.  <a href="classLASi_1_1setFont.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFontSize.html">LASi::setFontSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">stream manipulator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>.  <a href="classLASi_1_1setFontSize.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1show.html">LASi::show</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">stream applicator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>.  <a href="classLASi_1_1show.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="LASi_8h.html#45e0fe8722844aa47d3a83a567c51dd0">LASIDLLEXPORT</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="LASi_8h.html#39516215c4f8037e08f33dae4934752c">LASIDLLIMPORT</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="LASi_8h.html#701eaf601d55d61cb3791abdc5a8004b">LASIDLLIMPEXP</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="LASi_8h.html#524a1bdc355201bd27a0eaa3638788f8">LASIDLLIMPEXP_DATA</a>(type)&nbsp;&nbsp;&nbsp;type</td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">LASi::FontStyle</a> { <a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d9556729e47c3b32863fb436cf2f302c921d697">LASi::NORMAL_STYLE</a>, 
<a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672af1fd1f6d4a84552a403e1017c9f4ce7">LASi::OBLIQUE</a>, 
<a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672e6b21e0116736505553488cdb7334b17">LASi::ITALIC</a>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cccf7a78ca5a7883a9150c8302d5254666">LASi::ULTRALIGHT</a>, 
<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11ccc770652a8ad0c7a0a844eb89641e9cec">LASi::LIGHT</a>, 
<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cceede737451356ec247985ee426b58d53">LASi::NORMAL_WEIGHT</a>, 
<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc5885504bb5a03f3139564e3eb0de12ef">LASi::BOLD</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc7816c49ee268403f613ad22921568179">LASi::ULTRABOLD</a>, 
<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc42575c34093940eb90a1fb3f37e8a7c7">LASi::HEAVY</a>
<br>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a> { <a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33cfa318f7c87d307b7d830835f805ba552">LASi::NORMAL_VARIANT</a>, 
<a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c1d210e351adbab9b1c1eda063ddca4ca">LASi::SMALLCAPS</a>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad8378de50d0cc6565e573399b0cf4832497e">LASi::ULTRACONDENSED</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad83738a0be2a04c94b17cfe2bf9573ebcd27">LASi::EXTRACONDENSED</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837fb570405985bf99d568f851f24d3b36b">LASi::CONDENSED</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837d15fa83d6da6c7fa193299a8b1859db0">LASi::SEMICONDENSED</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837a9fac282c7306e7e2269fbd48e7f4067">LASi::NORMAL_STRETCH</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad8377083a771b62fdee7569882a4853c16b3">LASi::SEMIEXPANDED</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837d2a897a227f35fa61580d9b5c556ecf1">LASi::EXPANDED</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837cce22c4b35235666ce68171a8abcdc96">LASi::EXTRAEXPANDED</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837625bd024d7418d706a31ac8121daf7d9">LASi::ULTRAEXPANDED</a>
<br>
 }</td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memTemplParams" nowrap colspan="2">template&lt;class T&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">oPostscriptStream &amp;&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceLASi.html#fd39842e36a3cb260167c975afd394e8">LASi::operator&lt;&lt;</a> (oPostscriptStream &amp;os, T t)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Defines oPostscriptStream and PostscriptDocument and various stream manipulators. 
<p>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="45e0fe8722844aa47d3a83a567c51dd0"></a><!-- doxytag: member="LASi.h::LASIDLLEXPORT" ref="45e0fe8722844aa47d3a83a567c51dd0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LASIDLLEXPORT          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="701eaf601d55d61cb3791abdc5a8004b"></a><!-- doxytag: member="LASi.h::LASIDLLIMPEXP" ref="701eaf601d55d61cb3791abdc5a8004b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LASIDLLIMPEXP          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="524a1bdc355201bd27a0eaa3638788f8"></a><!-- doxytag: member="LASi.h::LASIDLLIMPEXP_DATA" ref="524a1bdc355201bd27a0eaa3638788f8" args="(type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LASIDLLIMPEXP_DATA          </td>
          <td>(</td>
          <td class="paramtype">type&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;type</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="39516215c4f8037e08f33dae4934752c"></a><!-- doxytag: member="LASi.h::LASIDLLIMPORT" ref="39516215c4f8037e08f33dae4934752c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LASIDLLIMPORT          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
